## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 2c57173d67a346b323a4afff7b7dd9c7f1314da4
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapdate 20230706
%global releasever 0.8.1

Name:           python-matplotlib-scalebar
Version:        %{releasever}^%{snapdate}git%{shortcommit}
Release:        %autorelease
Summary:        Artist for matplotlib to display a scale bar

License:        BSD
URL:            https://github.com/ppinard/matplotlib-scalebar
Source0:        %{url}/archive/%{commit}/matplotlib-scalebar-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Provides a new artist for matplotlib to display a scale bar, aka micron bar. It
is particularly useful when displaying calibrated images plotted using
plt.imshow(…).

The artist supports customization either directly from the ScaleBar object or
from the matplotlibrc.}

%description %_description


%package -n python3-matplotlib-scalebar
Summary:        %{summary}

%description -n python3-matplotlib-scalebar %_description


%package doc
Summary:        Documentation and examples for matplotlib-scalebar

# For the examples:
Requires:       %{name} = %{version}-%{release}
Requires:       python3dist(numpy)
Requires:       python3dist(pillow)
Requires:       python3dist(requests)

%description doc
%{summary}.


%prep
%autosetup -n matplotlib-scalebar-%{commit}


%generate_buildrequires
# Python tools don't like %%version
export SETUPTOOLS_SCM_PRETEND_VERSION=%{releasever}
%pyproject_buildrequires


%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{releasever}
%pyproject_wheel


%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{releasever}
%pyproject_install
%pyproject_save_files -l matplotlib_scalebar


%check
export SETUPTOOLS_SCM_PRETEND_VERSION=%{releasever}
%pytest


%files -n python3-matplotlib-scalebar -f %{pyproject_files}
%doc README.md


%files doc
%license LICENSE
# Note that the “documentation” currently consists entirely of examples
%doc doc/*


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1^20230706git2c57173-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.8.1^20230706git2c57173-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1^20230706git2c57173-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1^20230706git2c57173-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.1^20230706git2c57173-4
- Ensure that the -doc subpackage also contains a license file

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.1^20230706git2c57173-3
- Assert that a license file is present in the .dist-info directory

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1^20230706git2c57173-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.8.1^20230706git2c57173-1
- fix: update to snapshot to fix py312 FTI (fixes rhbz#2220325)

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 0.8.1-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.8.1-2
- Rebuilt for Python 3.11

* Thu Mar 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.1-1
- Update to 0.8.1 (close RHBZ#2062734)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 23 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.0-2
- Ship examples in a separate -doc subpackage

* Wed Dec 22 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.8.0-1
- Update to 0.8.0 (close RHBZ#2027058) and migrate to pyproject-rpm-macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.7.2-2
- Rebuilt for Python 3.10

* Sat Jan 30 2021 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2 (#1922612)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.7.1-1
- Update to latest release

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.6.2-3
- Explicitly BR setuptools

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.6.2-2
- Rebuilt for Python 3.9

* Wed Apr 22 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.6.2-1
- Update to new version

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Oct 28 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.6.1-1
- Update to latest release

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 19 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.6.0-1
- Initial build

## END: Generated by rpmautospec
